#!/usr/bin/gnuplot -persist
#######################################################################
### GNU Script for plotting:
#######################################################################
reset
set term postscript eps enhanced color 'Times,20' size 6.5, 9.0
set output 'F04.eps'
set multiplot
set border lw 3
set size 0.96, 0.31
set origin 0.015, 0.65
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set xtics nomirror
set ytics nomirror
set mxtics 2
set mytics 2
set xrange [-1.5:25.5]
set xtics ("5.5" 0, "8.5" 3, "11.5" 6, "14.5" 9, "17.5" 12, "20.5" 15, "23.5" 18, "2.5" 21, "5.5" 24)
set xlabel 'Local Time (LT)' font "Times,24"
set yrange [-100:1100] 
set ytics 0,200,1000
set ylabel 'S_{IN} (W m^{-2})' font "Times,24" offset 1.5  
set style line 1 lt 4 lw 3 pt 7 ps 1.7 lc rgb "dark-grey" 
set style line 2 lt 4 lw 3 pt 5 ps 1.5 lc rgb "black" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set style line 4 lt 4 lw 3 pt 2 ps 0.0 lc rgb "red" 
unset key
set label front '(a)' at 0, 960  font 'Times,24'
set label center '01-December-2017 (A Representative Cloudy Day)' at 12, 1200  font 'Times,28'
set key at 24,1000 spacing 1.25 font 'Times,20'
plot 'ERA5-01DEC2017-TS.dat'          u 'HOUR':'SOBS'       w lp ls 1 t "ERA5", \
     'RANS-01Dec2017.dat'             u 'TIME':'SOBS'       w lp ls 2 t "RANS", \
     'LES030-01Dec2017-001-PR-TS.dat' u 'TIME':'RAD_SW_IN0' w lp ls 4 t "LES_{30}", \
     'LES100-01Dec2017-001-PR-TS.dat' u 'TIME':'RAD_SW_IN0' w lp ls 3 t "LES_{100}"
#######################################################################
reset
set border lw 3
set size 0.95, 0.31
set origin 0.025, 0.34
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set xtics nomirror
set ytics nomirror
set mxtics 2
set mytics 2
set xrange [-1.5:25.5]
set xtics ("5.5" 0, "8.5" 3, "11.5" 6, "14.5" 9, "17.5" 12, "20.5" 15, "23.5" 18, "2.5" 21, "5.5" 24)
set xlabel 'Local Time (LT)' font "Times,24"
set yrange [-110:550] 
set ytics 0,100,500
set ylabel 'SHF (W m^{-2})' font "Times,24" offset 0.5  
set style line 1 lt 4 lw 3 pt 7 ps 1.7 lc rgb "dark-grey" 
set style line 2 lt 4 lw 3 pt 5 ps 1.5 lc rgb "black" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set style line 4 lt 4 lw 3 pt 2 ps 0.0 lc rgb "red" 
unset key
set label front '(b)' at 0, 480  font 'Times,24'
set key at 24,500 spacing 1.25 font 'Times,20'
plot 'ERA5-01DEC2017-TS.dat'          u 'HOUR':'SHF'   w lp ls 1 t "", \
     'RANS-01Dec2017.dat'             u 'TIME':'SHFL'  w lp ls 2 t "", \
     'LES030-01Dec2017-001-PR-TS.dat' u 'TIME':'SHF30' w lp ls 4 t "", \
     'LES100-01Dec2017-001-PR-TS.dat' u 'TIME':'SHF30' w lp ls 3 t ""
#######################################################################
#######################################################################
reset
set border lw 3
set size 0.95, 0.31
set origin 0.025, 0.03
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set xtics nomirror
set ytics nomirror
set mxtics 2
set mytics 2
set xrange [-1.5:25.5]
set xtics ("5.5" 0, "8.5" 3, "11.5" 6, "14.5" 9, "17.5" 12, "20.5" 15, "23.5" 18, "2.5" 21, "5.5" 24)
set xlabel 'Local Time (LT)' font "Times,24"
set yrange [-110:550] 
set ytics 0,100,500
set ylabel 'LHF (W m^{-2})' font "Times,24" offset 0.5  
set style line 1 lt 4 lw 3 pt 7 ps 1.7 lc rgb "dark-grey" 
set style line 2 lt 4 lw 3 pt 5 ps 1.5 lc rgb "black" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set style line 4 lt 4 lw 3 pt 2 ps 0.0 lc rgb "red" 
unset key
set label front '(c)' at 0, 480  font 'Times,24'
set key at 24,500 spacing 1.25 font 'Times,20'
plot 'ERA5-01DEC2017-TS.dat'          u 'HOUR':'LHF'   w lp ls 1 t "", \
     'RANS-01Dec2017.dat'             u 'TIME':'LHFL'  w lp ls 2 t "", \
     'LES030-01Dec2017-001-PR-TS.dat' u 'TIME':'LHF30' w lp ls 4 t "", \
     'LES100-01Dec2017-001-PR-TS.dat' u 'TIME':'LHF30' w lp ls 3 t ""
#######################################################################
unset multiplot
