#!/usr/bin/gnuplot -persist
#######################################################################
### GNU Script for plotting:
#######################################################################
reset
set term postscript eps enhanced color 'Times,20' size 8.5, 12.0
set output 'F05.eps'
set multiplot
set border lw 3
set size 0.959, 0.24
set origin 0.016, 0.74
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set xtics nomirror
set ytics nomirror
set mxtics 2
set mytics 2
set xrange [-1.5:25.5]
set xtics ("5.5" 0, "8.5" 3, "11.5" 6, "14.5" 9, "17.5" 12, "20.5" 15, "23.5" 18, "2.5" 21, "5.5" 24)
set xlabel 'Local Time (LT)' font "Times,24"
set yrange [19:37] 
set ytics 20,2,36
set ylabel 'T (deg.C)' font "Times,24" offset 1.5  
set style line 1 lt 4 lw 3 pt 7 ps 1.7 lc rgb "dark-grey" 
set style line 2 lt 4 lw 3 pt 5 ps 1.5 lc rgb "black" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set style line 4 lt 4 lw 3 pt 2 ps 0.0 lc rgb "red" 
set style line 5 lt 4 lw 3 pt 2 ps 0.0 lc rgb "dark-magenta" 
unset key
set label front '(a)' at -0.75, 35  font 'Times,24'
set label center '05-December-2017 (A Representative Clear-Sky Day)' at 12, 38.5  font 'Times,28'
set key at 24,36 spacing 1.25 font 'Times,20'
plot 'ERA5-05DEC2017-TS.dat'         u 'HOUR':'T2M'  w lp ls 1 t "ERA5 Reanalysis", \
     'RANS-05Dec2017.dat'            u 'TIME':'T2M'  w lp ls 2 t "RANS", \
     'LES030-05Dec2017-001-3DTS.dat' u 'TIME':'TA'   w lp ls 4 t "LES_{30}", \
     'LES100-05Dec2017-001-3DTS.dat' u 'TIME':'TA'   w lp ls 3 t "LES_{100}", \
     'TERLS-05DEC2017-TS.dat'        u 'HOUR':'AT02' w lp ls 5 t "OBSERVATION"
#######################################################################
reset
set border lw 3
set size 0.97, 0.24
set origin 0.0052, 0.50
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set xtics nomirror
set ytics nomirror
set mxtics 2
set mytics 2
set xrange [-1.5:25.5]
set xtics ("5.5" 0, "8.5" 3, "11.5" 6, "14.5" 9, "17.5" 12, "20.5" 15, "23.5" 18, "2.5" 21, "5.5" 24)
set xlabel 'Local Time (LT)' font "Times,24"
set yrange [-10:110] 
set ytics 0,20,100
set ylabel 'RH (%)' font "Times,24" offset 2.45
set style line 1 lt 4 lw 3 pt 7 ps 1.7 lc rgb "dark-grey" 
set style line 2 lt 4 lw 3 pt 5 ps 1.5 lc rgb "black" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set style line 4 lt 4 lw 3 pt 2 ps 0.0 lc rgb "red" 
set style line 5 lt 4 lw 3 pt 2 ps 0.0 lc rgb "dark-magenta" 
unset key
set label front '(b)' at -0.75, 90  font 'Times,24'
set key at 4.8,58 spacing 1.10 font 'Times,20'
plot 'ERA5-05DEC2017-TS.dat'         u 'HOUR':'RH'     w lp ls 1 t "", \
     'RANS-05Dec2017.dat'            u 'TIME':'RELHUM' w lp ls 2 t "", \
     'LES030-05Dec2017-001-3DTS.dat' u 'TIME':'RH'     w lp ls 4 t "", \
     'LES100-05Dec2017-001-3DTS.dat' u 'TIME':'RH'     w lp ls 3 t "", \
     'TERLS-05DEC2017-TS.dat'        u 'HOUR':'RH02'   w lp ls 5 t ""
#######################################################################
#######################################################################
reset
set border lw 3
set size 0.95, 0.24
set origin 0.025, 0.26
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set xtics nomirror
set ytics nomirror
set mxtics 2
set mytics 2
set xrange [-1.5:25.5]
set xtics ("5.5" 0, "8.5" 3, "11.5" 6, "14.5" 9, "17.5" 12, "20.5" 15, "23.5" 18, "2.5" 21, "5.5" 24)
set xlabel 'Local Time (LT)' font "Times,24"
set yrange [-7:7] 
set ytics -6,2,6
set ylabel 'U (m s^{-1})' font "Times,24" offset 0.5  
set style line 1 lt 4 lw 3 pt 7 ps 1.7 lc rgb "dark-grey" 
set style line 2 lt 4 lw 3 pt 5 ps 1.5 lc rgb "black" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set style line 4 lt 4 lw 3 pt 2 ps 0.0 lc rgb "red" 
set style line 5 lt 4 lw 3 pt 2 ps 0.0 lc rgb "dark-magenta" 
unset key
set label front '(c)' at -0.75, 5  font 'Times,24'
set key at 3.8,6 spacing 1.10 font 'Times,20'
plot 'ERA5-05DEC2017-TS.dat'         u 'HOUR':'U10'  w lp ls 1 t "", \
     'RANS-05Dec2017.dat'            u 'TIME':'U10M' w lp ls 2 t "", \
     'LES030-05Dec2017-001-3DTS.dat' u 'TIME':'U'    w lp ls 4 t "", \
     'LES100-05Dec2017-001-3DTS.dat' u 'TIME':'U'    w lp ls 3 t "", \
     'TERLS-05DEC2017-TS.dat'        u 'HOUR':'U02'  w lp ls 5 t ""
#######################################################################
#######################################################################
reset
set border lw 3
set size 0.95, 0.24
set origin 0.025, 0.02
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set xtics nomirror
set ytics nomirror
set mxtics 2
set mytics 2
set xrange [-1.5:25.5]
set xtics ("5.5" 0, "8.5" 3, "11.5" 6, "14.5" 9, "17.5" 12, "20.5" 15, "23.5" 18, "2.5" 21, "5.5" 24)
set xlabel 'Local Time (LT)' font "Times,24"
set yrange [-7:7] 
set ytics -6,2,6
set ylabel 'V (m s^{-1})' font "Times,24" offset 0.5  
set style line 1 lt 4 lw 3 pt 7 ps 1.7 lc rgb "dark-grey" 
set style line 2 lt 4 lw 3 pt 5 ps 1.5 lc rgb "black" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set style line 4 lt 4 lw 3 pt 2 ps 0.0 lc rgb "red" 
set style line 5 lt 4 lw 3 pt 2 ps 0.0 lc rgb "dark-magenta" 
unset key
set label front '(d)' at -0.75, 5  font 'Times,24'
set key at 3.8,6 spacing 1.10 font 'Times,20'
plot 'ERA5-05DEC2017-TS.dat'         u 'HOUR':'V10'  w lp ls 1 t "", \
     'RANS-05Dec2017.dat'            u 'TIME':'V10M' w lp ls 2 t "", \
     'LES030-05Dec2017-001-3DTS.dat' u 'TIME':'V'    w lp ls 4 t "", \
     'LES100-05Dec2017-001-3DTS.dat' u 'TIME':'V'    w lp ls 3 t "", \
     'TERLS-05DEC2017-TS.dat'        u 'HOUR':'V02'  w lp ls 5 t ""
#######################################################################
unset multiplot
