#!/usr/bin/gnuplot -persist
#######################################################################
### GNU Script for plotting:
#######################################################################
set term postscript eps enhanced color 'Times,22' size 8.0, 5.75
set output 'F07.eps'
set multiplot 
reset
set border lw 3
set size 0.33, 0.45
set origin 0.005, 0.01
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set mxtics 2
set mytics 2
set xrange [17.5:47.5]
set xtics 20, 5, 45
set xlabel '{/Symbol q} ({/Symbol \260}C)' font "Times,24" offset 0.0, 0.4
set yrange [-250:3250] 
set ytics 0,500,3000
set ylabel 'Altitude (m)' font "Times,24" offset 1.3
set style line 1 lt 4 lw 3 pt 7 ps 0.0 lc rgb "dark-grey" 
set style line 2 lt 4 lw 3 pt 5 ps 0.0 lc rgb "black" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set style line 4 lt 4 lw 3 pt 2 ps 0.0 lc rgb "red" 
set label center front '(d) 1-Dec-2017: 0530 LT' at 32.5, 3700  font 'Times,22'
set label center front '(Initial Conditions)' at 32.5, 3450  font 'Times,22'
unset key
unset grid
set key at 39,3100 spacing 1.25 font 'Times,16'
plot  "<(sed -n '2,14p' ERA5-01DEC2017.dat)"           u 16:12 w lp ls 1 t "ERA5", \
      "<(sed -n '2,27p' RANS-01Dec2017-Profiles.dat)"  u 12:2  w lp ls 2 t "RANS / LES" 
#######################################################################
reset
set border lw 3
set size 0.33, 0.45
set origin 0.335, 0.01
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set mxtics 2
set mytics 2
set xrange [17.5:47.5]
set xtics 20, 5, 45
set xlabel '{/Symbol q} ({/Symbol \260}C)' font "Times,24" offset 0.0, 0.4
set yrange [-250:3250] 
set ytics 0,500,3000
set ylabel 'Altitude (m)' font "Times,24" offset 1.3
set style line 1 lt 4 lw 3 pt 7 ps 0.0 lc rgb "dark-grey" 
set style line 2 lt 4 lw 3 pt 5 ps 0.0 lc rgb "black" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set style line 4 lt 4 lw 3 pt 2 ps 0.0 lc rgb "red" 
set label center front '(e) 1-Dec-2017: 1430 LT' at 32.5, 3700  font 'Times,22'
set label center front '(+9 h Forecasts)' at 32.5, 3450  font 'Times,22'
unset key
unset grid
set key at 37,3100 spacing 1.15 font 'Times,16'
plot  "<(sed -n '155,167p' ERA5-01DEC2017.dat)"            u 16:12 w lp ls 1 t "ERA5", \
      "<(sed -n '245,270p' RANS-01Dec2017-Profiles.dat)"   u 12:2  w lp ls 2 t "RANS",\
      "<(sed -n '992,1045p' LES030-01Dec2017-001-3D1.dat)" u ($11-273.15):3  w lp ls 4 t "LES30", \
      "<(sed -n '992,1045p' LES100-01Dec2017-001-3D1.dat)" u ($11-273.15):3  w lp ls 3 t "LES100"
#######################################################################
reset
set border lw 3
set size 0.33, 0.45
set origin 0.665, 0.01
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set mxtics 3
set mytics 2
set xrange [17.5:47.5]
set xtics 20, 5, 45
set xlabel '{/Symbol q} ({/Symbol \260}C)' font "Times,24" offset 0.0, 0.4
set yrange [-250:3250] 
set ytics 0,500,3000
set ylabel 'Altitude (m)' font "Times,24" offset 1.3
set style line 1 lt 4 lw 3 pt 7 ps 0.0 lc rgb "dark-grey" 
set style line 2 lt 4 lw 3 pt 5 ps 0.0 lc rgb "black" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set style line 4 lt 4 lw 3 pt 2 ps 0.0 lc rgb "red" 
set label center front '(f) 2-Dec-2017: 0230 LT' at 32.5, 3700  font 'Times,22'
set label center front '(+21 h Forecasts)' at 32.5, 3450  font 'Times,22'
unset key
unset grid
set key at 37,3100 spacing 1.15 font 'Times,16'
plot  "<(sed -n '359,371p' ERA5-01DEC2017.dat)"             u 16:12 w lp ls 1 t "ERA5", \
      "<(sed -n '569,594p' RANS-01Dec2017-Profiles.dat)"    u 12:2  w lp ls 2 t "RANS",\
      "<(sed -n '2312,2365p' LES030-01Dec2017-001-3D1.dat)" u ($11-273.15):3  w lp ls 4 t "LES30", \
      "<(sed -n '2312,2365p' LES100-01Dec2017-001-3D1.dat)" u ($11-273.15):3  w lp ls 3 t "LES100"
#######################################################################
#######################################################################
#######################################################################
#######################################################################
reset
set border lw 3
set size 0.33, 0.45
set origin 0.005, 0.51
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set mxtics 2
set mytics 2
set xrange [17.5:47.5]
set xtics 20, 5, 45
set xlabel '{/Symbol q} ({/Symbol \260}C)' font "Times,24" offset 0.0, 0.4
set yrange [-250:3250] 
set ytics 0,500,3000
set ylabel 'Altitude (m)' font "Times,24" offset 1.3
set style line 1 lt 4 lw 3 pt 7 ps 0.0 lc rgb "dark-grey" 
set style line 2 lt 4 lw 3 pt 5 ps 0.0 lc rgb "black" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set style line 4 lt 4 lw 3 pt 2 ps 0.0 lc rgb "red" 
set label center front '(a) 5-Dec-2017: 0530 LT' at 32.5, 3700  font 'Times,22'
set label center front '(Initial Conditions)' at 32.5, 3450  font 'Times,22'
unset key
unset grid
set key at 39,3100 spacing 1.25 font 'Times,16'
plot  "<(sed -n '2,14p' ERA5-05DEC2017.dat)"           u 16:12 w lp ls 1 t "ERA5", \
      "<(sed -n '2,27p' RANS-05Dec2017-Profiles.dat)"  u 12:2  w lp ls 2 t "RANS / LES" 
#######################################################################
reset
set border lw 3
set size 0.33, 0.45
set origin 0.335, 0.51
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set mxtics 2
set mytics 2
set xrange [17.5:47.5]
set xtics 20, 5, 45
set xlabel '{/Symbol q} ({/Symbol \260}C)' font "Times,24" offset 0.0, 0.4
set yrange [-250:3250] 
set ytics 0,500,3000
set ylabel 'Altitude (m)' font "Times,24" offset 1.3
set style line 1 lt 4 lw 3 pt 7 ps 0.0 lc rgb "dark-grey" 
set style line 2 lt 4 lw 3 pt 5 ps 0.0 lc rgb "black" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set style line 4 lt 4 lw 3 pt 2 ps 0.0 lc rgb "red" 
set label center front '(b) 5-Dec-2017: 1430 LT' at 32.5, 3700  font 'Times,22'
set label center front '(+9 h Forecasts)' at 32.5, 3450  font 'Times,22'
unset key
unset grid
set key at 37,3100 spacing 1.15 font 'Times,16'
plot  "<(sed -n '155,167p' ERA5-05DEC2017.dat)"            u 16:12 w lp ls 1 t "ERA5", \
      "<(sed -n '245,270p' RANS-05Dec2017-Profiles.dat)"   u 12:2  w lp ls 2 t "RANS",\
      "<(sed -n '992,1045p' LES030-05Dec2017-001-3D1.dat)" u ($11-273.15):3  w lp ls 4 t "LES30", \
      "<(sed -n '992,1045p' LES100-05Dec2017-001-3D1.dat)" u ($11-273.15):3  w lp ls 3 t "LES100"      
#######################################################################
reset
set border lw 3
set size 0.33, 0.45
set origin 0.665, 0.51
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set mxtics 3
set mytics 2
set xrange [17.5:47.5]
set xtics 20, 5, 45
set xlabel '{/Symbol q} ({/Symbol \260}C)' font "Times,24" offset 0.0, 0.4
set yrange [-250:3250] 
set ytics 0,500,3000
set ylabel 'Altitude (m)' font "Times,24" offset 1.3
set style line 1 lt 4 lw 3 pt 7 ps 0.0 lc rgb "dark-grey" 
set style line 2 lt 4 lw 3 pt 5 ps 0.0 lc rgb "black" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set style line 4 lt 4 lw 3 pt 2 ps 0.0 lc rgb "red" 
set label center front '(c) 6-Dec-2017: 0230 LT' at 32.5, 3700  font 'Times,22'
set label center front '(+21 h Forecasts)' at 32.5, 3450  font 'Times,22'
unset key
unset grid
set key at 37,3100 spacing 1.15 font 'Times,16'
plot  "<(sed -n '359,371p' ERA5-05DEC2017.dat)"             u 16:12 w lp ls 1 t "ERA5", \
      "<(sed -n '569,594p' RANS-05Dec2017-Profiles.dat)"    u 12:2  w lp ls 2 t "RANS", \
      "<(sed -n '2312,2365p' LES030-05Dec2017-001-3D1.dat)" u ($11-273.15):3  w lp ls 4 t "LES30", \
      "<(sed -n '2312,2365p' LES100-05Dec2017-001-3D1.dat)" u ($11-273.15):3  w lp ls 3 t "LES100"
#######################################################################
unset multiplot
